#include<bits/stdc++.h>
using namespace std;
main()

{
    long long int x1,y1,x2,y2;
    scanf("%lld%lld%lld%lld",&x1,&y1,&x2,&y2);
    if(x1==x2||y1==y2)
        printf("2");
    else
    if(abs(x1-x2)==abs(y2-y1))
        printf("1");
    else
        printf("0");

}